import 'dart:convert';

import 'package:flutter/cupertino.dart';
import 'package:flutter/services.dart';

class SCAppLocalizations {
  final Locale locale;

  SCAppLocalizations(this.locale);

  static SCAppLocalizations? of(BuildContext context) {
    return Localizations.of<SCAppLocalizations>(context, SCAppLocalizations);
  }

  static const LocalizationsDelegate<SCAppLocalizations> delegate =
  _SCAppLocalizationsDelegate();

  Map<String, String>? _localizedStrings;

  Future<bool> load() async {
    final jsonString = await rootBundle.loadString(
      'assets/l10n/intl_${locale.languageCode}.json',
    );

    final Map<String, dynamic> jsonMap = json.decode(jsonString);

    _localizedStrings = jsonMap.map((key, value) {
      return MapEntry(key, value.toString());
    });

    return true;
  }

  String translate(String key) {
    return _localizedStrings?[key] ?? key;
  }

  // 添加具体翻译键的getter方法
  String get signInWithGoogle => translate('signInWithGoogle');

  String get or => translate('or');

  String get yes => translate('yes');

  String get sound2 => translate('sound2');

  String get recent => translate('recent');

  String get shop => translate('shop');

  String get startYourBrandNewJourney => translate('startYourBrandNewJourney');

  String get other => translate('other');

  String get maliciousHarassment => translate('maliciousHarassment');

  String get roomEdit => translate('roomEdit');

  String get roomOwner => translate('roomOwner');

  String get searchNoDataTips => translate('searchNoDataTips');

  String get preventBeingBlocked => translate('preventBeingBlocked');

  String get enableRankIncognitoMode => translate('enableRankIncognitoMode');

  String get vipPrivilege => translate('vipPrivilege');

  String get expirationTime => translate('expirationTime');

  String get inviteNewUsersToEarnCoins => translate('inviteNewUsersToEarnCoins');

  String get avoidBeingKicked => translate('avoidBeingKicked');

  String get vipEntranceEffect => translate('vipEntranceEffect');

  String get vipSpecialGiftTassel => translate('vipSpecialGiftTassel');

  String get youHaveNotHadVIPYet => translate('youHaveNotHadVIPYet');

  String get games => translate('games');

  String get popularEvents => translate('popularEvents');

  String get pleaseEnterContent => translate('pleaseEnterContent');

  String get profilePhoto => translate('profilePhoto');

  String get aboutMe => translate('aboutMe');

  String get numberOfMic => translate('numberOfMic');

  String get noHistoricalRecordsAvailable => translate('noHistoricalRecordsAvailable');

  String get myRoom => translate('myRoom');

  String get cancelRoomPassword => translate('cancelRoomPassword');

  String get roomMemberFee => translate('roomMemberFee');

  String get roomPassword => translate('roomPassword');

  String get roomTheme2 => translate('roomTheme2');

  String get blockedList2 => translate('blockedList2');

  String get crateMyRoom => translate('crateMyRoom');

  String get exclusiveEmojiWillBeReleasedAfterBecoming => translate('exclusiveEmojiWillBeReleasedAfterBecoming');

  String get socialPrivilege => translate('socialPrivilege');

  String get mysteriousInvisibility => translate('mysteriousInvisibility');

  String get antiBlock => translate('antiBlock');

  String get goToUpgrade => translate('goToUpgrade');

  String get createFamilyForFree => translate('createFamilyForFree');

  String get privateChat => translate('privateChat');

  String get everyone => translate('everyone');

  String get basicPermissions => translate('basicPermissions');

  String get vipBirthdayGift => translate('vipBirthdayGift');

  String get pleaseUpgradeYourVipLevel => translate('pleaseUpgradeYourVipLevel');

  String get membershipFreeChatSpeak => translate('membershipFreeChatSpeak');

  String get priorityRoomSorting => translate('priorityRoomSorting');

  String get userColoredID => translate('userColoredID');

  String get casualInteraction => translate('casualInteraction');

  String get haveGamePlayingTips => translate('haveGamePlayingTips');

  String get historicalTour => translate('historicalTour');

  String get gameCenter => translate('gameCenter');

  String get returnToVoiceChat => translate('returnToVoiceChat');

  String get exitGameMode => translate('exitGameMode');

  String get enterTheRoom => translate('enterTheRoom');

  String get taskNamePersonalGameConsume => translate('taskNamePersonalGameConsume');

  String get taskNamePersonalMicInRoom => translate('taskNamePersonalMicInRoom');

  String get taskNamePersonalActiveInRoom => translate('taskNamePersonalActiveInRoom');

  String get taskNameRoomOwnerMicTime => translate('taskNameRoomOwnerMicTime');

  String get taskNamePersonalLuckyGiftGold => translate('taskNamePersonalLuckyGiftGold');

  String get taskNamePersonalMagicGiftGold => translate('taskNamePersonalMagicGiftGold');

  String get taskNameRoomOwnerSendGiftGold => translate('taskNameRoomOwnerSendGiftGold');

  String get taskNameRoomUserSendGiftGold => translate('taskNameRoomUserSendGiftGold');

  String get taskNameRoomOwnerInviteMic => translate('taskNameRoomOwnerInviteMic');

  String get taskNameRoomOnlineUserCount => translate('taskNameRoomOnlineUserCount');

  String get taskNamePersonalSendGift => translate('taskNamePersonalSendGift');

  String get taskNameRoomMicUser30Min => translate('taskNameRoomMicUser30Min');

  String get taskNameRoomMicUser60Min => translate('taskNameRoomMicUser60Min');

  String get taskNameRoomMicUser120Min => translate('taskNameRoomMicUser120Min');

  String get taskNameRoomOwnerSendGiftUser => translate('taskNameRoomOwnerSendGiftUser');

  String get taskNameRoomOwnerSendRedPacket => translate('taskNameRoomOwnerSendRedPacket');

  String get taskNameRoomNewMember => translate('taskNameRoomNewMember');

  String get copyLink => translate('copyLink');

  String get shareTo => translate('shareTo');

  String get invite => translate('invite');

  String get faceBook => translate('faceBook');

  String get whatsApp => translate('whatsApp');

  String get snapChat => translate('snapChat');

  String get complete => translate('complete');

  String get claim => translate('claim');

  String get inviteGoRoomTips => translate('inviteGoRoomTips');

  String get dailyCoinBonanzaRules => translate('dailyCoinBonanzaRules');

  String get dailyCoinBonanzaRulesDetail => translate('dailyCoinBonanzaRulesDetail');

  String get personalTasks => translate('personalTasks');

  String get roomOwnerTasks => translate('roomOwnerTasks');

  String get getPaidToRefer => translate('getPaidToRefer');

  String get weekStart => translate('weekStart');

  String get kingQuuen => translate('kingQuuen');

  String get coinsReceived => translate('coinsReceived');

  String get operationFail => translate('operationFail');

  String get forMoreRewardsPleaseCheckTheTaskCenter => translate('forMoreRewardsPleaseCheckTheTaskCenter');

  String get likedYourComment => translate('likedYourComment');

  String get deleteAccountTips2 => translate('deleteAccountTips2');

  String get likedYourDynamic => translate('likedYourDynamic');

  String get doYouWantToKeepTheDraft => translate('doYouWantToKeepTheDraft');

  String get createDynamicSuccess => translate('createDynamicSuccess');

  String get like => translate('like');

  String get noPromptsToday => translate('noPromptsToday');

  String get currentVip => translate('currentVip');

  String get ramadan => translate('ramadan');

  String get deleteDynamicTips => translate('deleteDynamicTips');

  String get deleteCommentTips => translate('deleteCommentTips');

  String get deleteSuccessful => translate('deleteSuccessful');

  String get itemsLeft => translate('itemsLeft');

  String get replySucc => translate('replySucc');

  String get basicFeatures => translate('basicFeatures');

  String get areYouSureYouWantToDeleteYourAccount => translate('areYouSureYouWantToDeleteYourAccount');

  String get game => translate('game');

  String get accountDeletionNotice => translate('accountDeletionNotice');

  String get deleteAccountTips => translate('deleteAccountTips');

  String get thisUserHasBeenBlacklisted => translate('thisUserHasBeenBlacklisted');

  String get comment => translate('comment');

  String get cantSendDynamicTips => translate('cantSendDynamicTips');

  String get customizedGiftRules => translate('customizedGiftRules');

  String get customizedGiftRulesContent => translate('customizedGiftRulesContent');

  String get clearCache => translate('clearCache');

  String get saySomething => translate('saySomething');

  String get catchFirstComment => translate('catchFirstComment');

  String get dynamicT => translate('dynamic');

  String get more => translate('more');

  String get roomAnnouncement => translate('roomAnnouncement');

  String get reply => translate('reply');

  String get importantReminder => translate('importantReminder');

  String get enterThisVoiceChatRoom => translate('enterThisVoiceChatRoom');

  String get swipeLeftOnTheFloatingScreenAreaToQuicklyCloseIt => translate('swipeLeftOnTheFloatingScreenAreaToQuicklyCloseIt');

  String get areYouSureYouWantToClearLocalCache => translate('areYouSureYouWantToClearLocalCache');

  String get multiple => translate('multiple');

  String get posting => translate('posting');

  String get showMore => translate('showMore');

  String get showLess => translate('showLess');

  String get clearCacheSuccessfully => translate('clearCacheSuccessfully');

  String get successfullyAddedToTheBlacklist => translate('successfullyAddedToTheBlacklist');

  String get successfullyRemovedFromTheBlacklist => translate('successfullyRemovedFromTheBlacklist');

  String get successfullyRemovedFromTheDynamicBlacklist => translate('successfullyRemovedFromTheDynamicBlacklist');

  String get successfullyAddedToTheDynamicBlacklist => translate('successfullyAddedToTheDynamicBlacklist');

  String get areYouSureToCancelBlacklist =>
      translate('areYouSureToCancelBlacklist');

  String get areYouSureYouWantToBlockThisUser =>
      translate('areYouSureYouWantToBlockThisUser');

  String get areYouSureYouWantToDynamicBlockThisUser =>
      translate('areYouSureYouWantToDynamicBlockThisUser');

  String get removeFromBlacklist => translate('removeFromBlacklist');

  String get unblockUserDynamic => translate('unblockUserDynamic');

  String get blockUserDynamic => translate('blockUserDynamic');

  String get moveToBlacklist => translate('moveToBlacklist');

  String get userBlacklist => translate('userBlacklist');

  String get areYouSureToCancelDynamicBlacklist => translate('areYouSureToCancelDynamicBlacklist');

  String get thisFeatureIsCurrentlyUnavailable =>
      translate('thisFeatureIsCurrentlyUnavailable');

  String get pleaseSelectTheRecipient => translate('pleaseSelectTheRecipient');

  String get searchMemberIdHint => translate('searchMemberIdHint');

  String get win => translate('win');

  String get luckGiftSpecialEffects => translate('luckGiftSpecialEffects');

  String get receivedFromALuckyGift => translate('receivedFromALuckyGift');

  String get entryVehicleAnimation => translate('entryVehicleAnimation');

  String get entryVehicleAnimation2 => translate('entryVehicleAnimation2');

  String get floatingAnimationInGlobal =>
      translate('floatingAnimationInGlobal');

  String get theRedEnvelopeHasExpired => translate('theRedEnvelopeHasExpired');

  String get wishingYouHappinessEveryDay =>
      translate('wishingYouHappinessEveryDay');

  String get newMessage => translate('newMessage');

  String get familyNews => translate('familyNews');

  String get familyName => translate('familyName');

  String get help => translate('help');

  String get open => translate('open');

  String get canSendMsgTips => translate('canSendMsgTips');

  String get systemAnnouncement => translate('systemAnnouncement');

  String get systemAnnouncementTips1 => translate('systemAnnouncementTips1');

  String get contactUs => translate('contactUs');

  String get sentARedEnvelope => translate('sentARedEnvelope');

  String get systemAnnouncementTips => translate('systemAnnouncementTips');

  String get doNotClickUnfamiliarTips => translate('doNotClickUnfamiliarTips');

  String get disbandTheFamilyTips => translate('disbandTheFamilyTips');

  String get familyHelpTips => translate('familyHelpTips');

  String get familyInfo => translate('familyInfo');

  String get joinRequest => translate('joinRequest');

  String get createRoomSuccsess => translate('createRoomSuccsess');

  String get enterFamilyInfo => translate('enterFamilyInfo');

  String get searchFamilyIdHint => translate('searchFamilyIdHint');

  String get enterFamilyName => translate('enterFamilyName');

  String get cpList => translate('cpList');

  String get redEnvelopeNotYetClaimed => translate('redEnvelopeNotYetClaimed');

  String get refuse => translate('refuse');

  String get sayHi2 => translate('sayHi2');

  String get rulesUpload => translate('rulesUpload');

  String get agree => translate('agree');

  String get coins3 => translate('coins3');

  String get trend => translate('trend');

  String get discard => translate('discard');

  String get atTag => translate('atTag');

  String get keep => translate('keep');

  String get magic => translate('magic');

  String get customized => translate('customized');

  String get unclaimedRedEnvelopes => translate('unclaimedRedEnvelopes');

  String get boxContributeTips => translate('boxContributeTips');

  String get supporterWeeklyRank => translate('supporterWeeklyRank');

  String get hostWeeklyRank => translate('hostWeeklyRank');

  String get noMatchedCP => translate('noMatchedCP');

  String get giftSpecialEffects => translate('giftSpecialEffects');

  String get familyLevel => translate('familyLevel');

  String get applyToJoin => translate('applyToJoin');

  String get msgSendRedEnvelopeTips => translate('msgSendRedEnvelopeTips');

  String get ownerSendTheRedEnvelope => translate('ownerSendTheRedEnvelope');

  String get hotGames => translate('hotGames');

  String get levelPrivileges => translate('levelPrivileges');

  String get cpRequest => translate('cpRequest');

  String get areYouSureYouWantToSpend3 =>
      translate('areYouSureYouWantToSpend3');

  String get areYouSureYouWantToSpend => translate('areYouSureYouWantToSpend');

  String get areYouSureYouWantToSpend2 =>
      translate('areYouSureYouWantToSpend2');

  String get allGames => translate('allGames');

  String get restorePurchases => translate('restorePurchases');

  String get createFamily => translate('createFamily');

  String get agreeJoinFamilyTips => translate('agreeJoinFamilyTips');

  String get refuseJoinFamilyTips => translate('refuseJoinFamilyTips');

  String get welcomeToMyFamily => translate('welcomeToMyFamily');

  String get slotsClass => translate('slotsClass');

  String get greedyClass => translate('greedyClass');

  String get raceSeries => translate('raceSeries');

  String get fishClass => translate('fishClass');

  String get supporterList => translate('supporterList');

  String get hostList => translate('hostList');

  String get pending => translate('pending');

  String get approved => translate('approved');

  String get restorePurchasesTips => translate('restorePurchasesTips');

  String get rejected => translate('rejected');

  String get applicationRecord => translate('applicationRecord');

  String get joinFamily => translate('joinFamily');

  String get received => translate('received');

  String get others => translate('others');

  String get cpSexTips => translate('cpSexTips');

  String get editProfile => translate('editProfile');

  String get myPhoto => translate('myPhoto');

  String get balanceNotEnough => translate('balanceNotEnough');

  String get chooseFromAblum => translate('chooseFromAblum');

  String get information => translate('information');

  String get memberList => translate('memberList');

  String get supporter => translate('supporter');

  String get family => translate('family');

  String get spaceBackground => translate('spaceBackground');

  String get currentProgress => translate('currentProgress');

  String get redEnvelopeTips2 => translate('redEnvelopeTips2');

  String get openTheTreasureChest => translate('openTheTreasureChest');

  String get number2 => translate('number2');

  String get underReview => translate('underReview');

  String get createAFamily => translate('createAFamily');

  String get doYouWantToDeleteIt => translate('doYouWantToDeleteIt');

  String get lastWeekProgress => translate('lastWeekProgress');

  String get roomReward => translate('roomReward');

  String get goToRecharge => translate('goToRecharge');

  String get insufhcientGoldsGoToRecharge =>
      translate('insufhcientGoldsGoToRecharge');

  String get redEnvelopeRecTips2 => translate('redEnvelopeRecTips2');

  String get redEnvelopeRecTips3 => translate('redEnvelopeRecTips3');

  String get sendARedEnvelope => translate('sendARedEnvelope');

  String get redEnvelopeSendingRecords =>
      translate('redEnvelopeSendingRecords');

  String get countdownMinutes => translate('countdownMinutes');

  String get spam => translate('spam');

  String get sendRedPackConfirmTips => translate('sendRedPackConfirmTips');

  String get redEnvelopeTips1 => translate('redEnvelopeTips1');

  String get roomTools => translate('roomTools');

  String get fraud => translate('fraud');

  String get redEnvelope => translate('redEnvelope');

  String get dice => translate('dice');

  String get rps => translate('rps');

  String get operationsAreTooFrequent => translate('operationsAreTooFrequent');

  String get luckNumber => translate('luckNumber');

  String get entertainment => translate('entertainment');

  String get reportSucc => translate('reportSucc');

  String get reportInputTips => translate('reportInputTips');

  String get pornography => translate('pornography');

  String get redEnvelopeRecTips1 => translate('redEnvelopeRecTips1');

  String get inappropriateContent => translate('inappropriateContent');

  String get personalAttack => translate('personalAttack');

  String get illegalInformation => translate('illegalInformation');

  String get pleaseSelectTheTypeContent =>
      translate('pleaseSelectTheTypeContent');

  String get searchUserId => translate('searchUserId');

  String get sendUser => translate('sendUser');

  String get userName => translate('userName');

  String get identity => translate('identity');

  String get roomProfilePicture => translate('roomProfilePicture');

  String get userProfilePicture => translate('userProfilePicture');

  String get roomNotice => translate('roomNotice');

  String get roomTheme => translate('roomTheme');

  String get warning => translate('warning');

  String get adjust => translate('adjust');

  String get inputDesHint => translate('inputDesHint');

  String get screenshotTips => translate('screenshotTips');

  String get description => translate('description');

  String get pleaseSelectTheTypeToProcess =>
      translate('pleaseSelectTheTypeToProcess');

  String get enterTheRoomId => translate('enterTheRoomId');

  String get enterTheUserId => translate('enterTheUserId');

  String get roomEditing => translate('roomEditing');

  String get userEditing => translate('userEditing');

  String get wearHonor => translate('wearHonor');

  String get youDontHaveAnyHonorYet => translate('youDontHaveAnyHonorYet');

  String get activityHonor => translate('activityHonor');

  String get achievementHonor => translate('achievementHonor');

  String get letGoToWatch => translate('letGoToWatch');

  String get launchedARocket => translate('launchedARocket');

  String get useCoupontips => translate('useCoupontips');

  String get joinMemberTips2 => translate('joinMemberTips2');

  String get leaveRoomIdentityTips => translate('leaveRoomIdentityTips');

  String get followSucc => translate('followSucc');

  String get searchCouponHint => translate('searchCouponHint');

  String get signInWithYourAccount => translate('signInWithYourAccount');

  String get signInWithApple => translate('signInWithApple');

  String get deleteConversationTips => translate('deleteConversationTips');

  String get loginRepresentsAgreementTo =>
      translate('loginRepresentsAgreementTo');

  String get termsofService => translate('termsofService');

  String get theImageSizeCannotExceed => translate('theImageSizeCannotExceed');

  String get privaceyPolicy => translate('privaceyPolicy');

  String get youHaventFollowed => translate('youHaventFollowed');

  String get tips => translate('tips');

  String get inviteYouToBecomeBD => translate('inviteYouToBecomeBD');

  String get bDLeaderInviteYouToBecomeBDLeader =>
      translate('bDLeaderInviteYouToBecomeBDLeader');

  String get adminInviteRechargeAgent => translate('adminInviteRechargeAgent');

  String get task => translate('task');

  String get honor => translate('honor');

  String get bio => translate('bio');

  String get hobby => translate('hobby');

  String get search => translate('search');

  String get sendCoupontips => translate('sendCoupontips');

  String get coupon => translate('coupon');

  String get done => translate('done');

  String get join => translate('join');

  String get roomRocketHelpTips => translate('roomRocketHelpTips');

  String get giveUpIdentity => translate('giveUpIdentity');

  String get bdLeader => translate('bdLeader');

  String get picture => translate('picture');

  String get signedin => translate('signedin');

  String get couponRecord => translate('couponRecord');

  String get improvementTasks => translate('improvementTasks');

  String get image => translate('image');

  String get inRocket => translate('inRocket');

  String get video => translate('video');

  String get get => translate('get');

  String get sound => translate('sound');

  String get wearMedal => translate('wearMedal');

  String get sureUnfollowThisRoom => translate('sureUnfollowThisRoom');

  String get camera => translate('camera');

  String get crop => translate('crop');

  String get inRoom => translate('inRoom');

  String get youDontHaveAnyCouponsYet => translate('youDontHaveAnyCouponsYet');

  String get finish => translate('finish');

  String get visitorList => translate('visitorList');

  String get gift2 => translate('gift2');

  String get receiveSucc => translate('receiveSucc');

  String get album => translate('album');

  String get dailyTasks => translate('dailyTasks');

  String get reject => translate('reject');

  String get messageHasBeenRecalled => translate('messageHasBeenRecalled');

  String get accept => translate('accept');

  String get go => translate('go');

  String get copy => translate('copy');

  String get openUserProfleCard => translate('openUserProfleCard');

  String get deleteOnAllDevices => translate('deleteOnAllDevices');

  String get deleteFromMyDevice => translate('deleteFromMyDevice');

  String get recallThisMessage => translate('recallThisMessage');

  String get recall => translate('recall');

  String get followedYou => translate('followedYou');

  String get confirmAcceptTheInvitation =>
      translate('confirmAcceptTheInvitation');

  String get confirmDeclineTheInvitation =>
      translate('confirmDeclineTheInvitation');

  String get propMessagePrompt => translate('propMessagePrompt');

  String get chats => translate('chats');

  String get delete => translate('delete');

  String get enterRoomConfirmTips => translate('enterRoomConfirmTips');

  String get inputUserId => translate('inputUserId');

  String get enterNickname => translate('enterNickname');

  String get inviteCode => translate('inviteCode');

  String get notifcation => translate('notifcation');

  String get gameRules => translate('gameRules');

  String get male => translate('male');

  String get familyNotifcations => translate('familyNotifcations');

  String get female => translate('female');

  String get pullToLoadMore => translate('pullToLoadMore');

  String get loadingFailedClickToRetry =>
      translate('loadingFailedClickToRetry');

  String get releaseToLoadMore => translate('releaseToLoadMore');

  String get haveMyLimits => translate('haveMyLimits');

  String get becomeAgent => translate('becomeAgent');

  String get setAccount => translate('setAccount');

  String get deleteAccount => translate('deleteAccount');

  String get backTheRoom => translate('backTheRoom');

  String get spendCoinsToGainExperiencePoints =>
      translate('spendCoinsToGainExperiencePoints');

  String get enterRoomName => translate('enterRoomName');

  String get selectYourCountry => translate('selectYourCountry');

  String get theMembershipFee => translate('theMembershipFee');

  String get termsOfServicePrivacyPolicyTips =>
      translate('termsOfServicePrivacyPolicyTips');

  String get and => translate('and');

  String get inviteYouToBecomeHost => translate('inviteYouToBecomeHost');

  String get inviteYouToBecomeAgent => translate('inviteYouToBecomeAgent');

  String get theVideoSizeCannotExceed => translate('theVideoSizeCannotExceed');

  String get clickHereToStartChatting => translate('clickHereToStartChatting');

  String get music => translate('music');

  String get unread => translate('unread');

  String get checkInSuccessful => translate('checkInSuccessful');

  String get sginTips => translate('sginTips');

  String get adminCenter => translate('adminCenter');

  String get confirm => translate('confirm');

  String get cancel => translate('cancel');

  String get reapply => translate('reapply');

  String get takeTheMic => translate('takeTheMic');

  String get unlockTheMic => translate('unlockTheMic');

  String get lockTheMic => translate('lockTheMic');

  String get removeTheMic => translate('removeTheMic');

  String get leavelTheMic => translate('leavelTheMic');

  String get muteTheMic => translate('muteTheMic');

  String get openTheMic => translate('openTheMic');

  String get leavFamilyTips => translate('leavFamilyTips');

  String get leavingTheFamily => translate('leavingTheFamily');

  String get inviteToTheMicrophone => translate('inviteToTheMicrophone');

  String get toConsume => translate('toConsume');

  String get userLevel => translate('userLevel');

  String get settings => translate('settings');

  String get receive => translate('receive');

  String get sendTheCpRequest => translate('sendTheCpRequest');

  String get addCp => translate('addCp');

  String get scrollToTheBottom => translate('scrollToTheBottom');

  String get host => translate('host');

  String get read => translate('read');

  String get system => translate('system');

  String get receivedAMessage => translate('receivedAMessage');

  String get stop => translate('stop');

  String get familyOwner2 => translate('familyOwner2');

  String get agent => translate('agent');

  String get obtain => translate('obtain');

  String get apple => translate('apple');

  String get google => translate('google');

  String get wins => translate('wins');

  String get ra => translate('ra');

  String get bd => translate('bd');

  String get charm => translate('charm');

  String get specialEffectsManagement => translate('specialEffectsManagement');

  String get giftCounter => translate('giftCounter');

  String get resetLoginPasswordtTips2 => translate('resetLoginPasswordtTips2');

  String get enterYourOldPassword => translate('enterYourOldPassword');

  String get inputYourOldPassword => translate('inputYourOldPassword');

  String get localMusic => translate('localMusic');

  String get pleaseUpgradeYourVipLevelFirst =>
      translate('pleaseUpgradeYourVipLevelFirst');

  String get howToUpgrade => translate('howToUpgrade');

  String get higherLevelFancierAvatarFrame =>
      translate('higherLevelFancierAvatarFrame');

  String get touristsTakeToTheMic => translate('touristsTakeToTheMic');

  String get pleaseChatFfriendly => translate('pleaseChatFfriendly');

  String get startVoiceParty => translate('startVoiceParty');

  String get mountains => translate('mountains');

  String get account => translate('account');

  String get fromLuckyGifts => translate('fromLuckyGifts');

  String get setLoginPassword => translate('setLoginPassword');

  String get theTwoPasswordsDoNotMatch =>
      translate('theTwoPasswordsDoNotMatch');

  String get confirmYourPassword => translate('confirmYourPassword');

  String get resetLoginPasswordtTips1 => translate('resetLoginPasswordtTips1');

  String get medalAndAvatarFrameRewards =>
      translate('medalAndAvatarFrameRewards');

  String get theModificationsMade => translate('theModificationsMade');

  String get touristsSendText => translate('touristsSendText');

  String get membershipFeeTips1 => translate('membershipFeeTips1');

  String get membershipFeeTips2 => translate('membershipFeeTips2');

  String get membershipFee => translate('membershipFee');

  String get setYourPassword => translate('setYourPassword');

  String get vip => translate('vip');

  String get vip1 => translate('vip1');

  String get vip2 => translate('vip2');

  String get vip3 => translate('vip3');

  String get vip4 => translate('vip4');

  String get vip5 => translate('vip5');

  String get vip6 => translate('vip6');

  String get vipChatBox => translate('vipChatBox');

  String get sendTo => translate('sendTo');

  String get level => translate('level');

  String get add => translate('add');

  String get free => translate('free');

  String get openRedPackDialogTip => translate('openRedPackDialogTip');

  String get start => translate('start');

  String get vipUseThisThemeTips => translate('vipUseThisThemeTips');

  String get charmGameRulesTips => translate('charmGameRulesTips');


  String get enterYourNewPassword => translate('enterYourNewPassword');

  String get confirmSwitchMicThemeTips =>
      translate('confirmSwitchMicThemeTips');

  String get confirmSwitchMicModelTips =>
      translate('confirmSwitchMicModelTips');

  String get micTheme => translate('micTheme');

  String get conntinue => translate('conntinue');

  String get renewVip => translate('renewVip');

  String get buyVip => translate('buyVip');

  String get couple2 => translate('couple2');

  String get personal2 => translate('personal2');

  String get family2 => translate('family2');

  String get password => translate('password');

  String get days => translate('days');

  String get vipMicTheme => translate('vipMicTheme');

  String get myMusic => translate('myMusic');

  String get partWays => translate('partWays');

  String get reconcileInvitationTips => translate('reconcileInvitationTips');

  String get reconcileInvitation => translate('reconcileInvitation');

  String get reconcile => translate('reconcile');

  String get areYouSureYouWantToSpend4 =>
      translate('areYouSureYouWantToSpend4');

  String get partWaysTips => translate('partWaysTips');

  String get areYouSureYouWantToPartWaysWithYourCP =>
      translate('areYouSureYouWantToPartWaysWithYourCP');

  String get separated => translate('separated');

  String classicMic(String name) =>
      translate('classicMic').replaceAll('{1}', name);

  String redEnvelopeAmount(String name) =>
      translate('redEnvelopeAmount').replaceAll('{1}', name);

  String yesterday(String name) =>
      translate('yesterday').replaceAll('{1}', name);

  String monday(String name) => translate('monday').replaceAll('{1}', name);

  String tuesday(String name) => translate('tuesday').replaceAll('{1}', name);

  String wednesday(String name) =>
      translate('wednesday').replaceAll('{1}', name);

  String vipEmoticon(String name) =>
      translate('vipEmoticon').replaceAll('{1}', name);

  String family3(String name) =>
      translate('family3').replaceAll('{1}', name);

  String onlineUsers(String name1, String name2) =>
      translate(
        'onlineUsers',
      ).replaceAll('{1}', name1).replaceAll('{2}', name2);

  String timeSpentTogether(String name) =>
      translate('timeSpentTogether').replaceAll('{1}', name);

  String firstDay(String name) => translate('firstDay').replaceAll('{1}', name);

  String thursday(String name) => translate('thursday').replaceAll('{1}', name);

  String friday(String name) => translate('friday').replaceAll('{1}', name);

  String saturday(String name) => translate('saturday').replaceAll('{1}', name);

  String sunday(String name) => translate('sunday').replaceAll('{1}', name);

  String win2(String name) => translate('win2').replaceAll('{1}', name);

  String numberOfMyCPs(String name1, String name2) =>
      translate(
        'numberOfMyCPs',
      ).replaceAll('{1}', name1).replaceAll('{2}', name2);

  String sendUserId(String name) =>
      translate('sendUserId').replaceAll('{1}', name);

  String youAccepted(String name) =>
      translate('youAccepted').replaceAll('{1}', name);

  String acceptedYour(String name) =>
      translate('acceptedYour').replaceAll('{1}', name);

  String couple(String name) => translate('couple').replaceAll('{1}', name);

  String areYouSureYouWantToSpend5(String name) =>
      translate('areYouSureYouWantToSpend5').replaceAll('{1}', name);

  String areYouSureYouWantToSpend6(String name) =>
      translate('areYouSureYouWantToSpend6').replaceAll('{1}', name);

  String get micManagement => translate('micManagement');

  String get logIn => translate('logIn');

  String get sayHi => translate('sayHi');

  String get permanent => translate('permanent');

  String get enterAccount => translate('enterAccount');

  String get cantBuyVip => translate('cantBuyVip');

  String get vipRoomCoverBorder => translate('vipRoomCoverBorder');

  String get bdCenter => translate('bdCenter');

  String get number => translate('number');

  String get successfulWear => translate('successfulWear');

  String get successfullyUnloaded => translate('successfullyUnloaded');

  String get common => translate('common');

  String get wealthLevel => translate('wealthLevel');

  String get roomName => translate('roomName');

  String get enterPassword => translate('enterPassword');

  String get goToUpload => translate('goToUpload');

  String get language => translate('language');

  String get feedback => translate('feedback');

  String get about => translate('about');

  String get unFollow => translate('unFollow');

  String get vipBadge => translate('vipBadge');

  String get vipProfileFrame => translate('vipProfileFrame');

  String get vipProfileCard => translate('vipProfileCard');

  String get profile => translate('profile');

  String get props => translate('props');

  String get relationShip => translate('relationShip');

  String get medal => translate('medal');

  String get blockedList => translate('blockedList');

  String get renewal => translate('renewal');

  String get daily => translate('daily');

  String get vipExclusiveVehicles => translate('vipExclusiveVehicles');

  String get kickPrevention => translate('kickPrevention');

  String get freeChatSpeak => translate('freeChatSpeak');

  String get weekly => translate('weekly');

  String get monthly => translate('monthly');

  String get resetLoginPassword => translate('resetLoginPassword');

  String get confirmUseTips => translate('confirmUseTips');

  String get confirmUnUseTips => translate('confirmUnUseTips');

  String get inUse => translate('inUse');

  String get themeGoToUploadTips => translate('themeGoToUploadTips');

  String get myItems => translate('myItems');

  String get items => translate('items');

  String get admin => translate('admin');

  String get medals => translate('medals');

  String get fansList => translate('fansList');

  String get message => translate('message');

  String get friends => translate('friends');

  String get rechargeAgency => translate('rechargeAgency');

  String get announcement => translate('announcement');

  String get aboutUs => translate('aboutUs');

  String get logout => translate('logout');

  String get home => translate('home');

  String get followList => translate('followList');

  String get country2 => translate('country2');

  String get giftwall => translate('giftwall');

  String get purchaseIsSuccessful => translate('purchaseIsSuccessful');

  String get member => translate('member');

  String get explore => translate('explore');

  String get me => translate('me');

  String get expired => translate('expired');

  String get confirmBuyTips => translate('confirmBuyTips');

  String get buy => translate('buy');

  String get use => translate('use');

  String get unUse => translate('unUse');

  String get day => translate('day');

  String get popular => translate('popular');

  String get recommend => translate('recommend');

  String get follow => translate('follow');

  String get followed => translate('followed');

  String get following => translate('following');

  String get history => translate('history');

  String get hotRooms => translate('hotRooms');

  String get viewMore => translate('viewMore');

  String get noData => translate('noData');

  String get freePrice => translate('freePrice');

  String get purchase => translate('purchase');

  String get wallet => translate('wallet');

  String get viewFrame => translate('viewFrame');

  String get touristsAreNotAllowedToGoOnTheMic =>
      translate('touristsAreNotAllowedToGoOnTheMic');

  String get inputRoomPassword => translate('inputRoomPassword');

  String get users => translate('users');

  String get rooms => translate('rooms');

  String get store => translate('store');

  String get bag => translate('bag');

  String get coins => translate('coins');

  String get coins4 => translate('coins4');

  String get custom => translate('custom');

  String get touristsCannotSendMessages =>
      translate('touristsCannotSendMessages');

  String get setRoomPassword => translate('setRoomPassword');

  String get goldList => translate('goldList');

  String get submit => translate('submit');

  String get theme => translate('theme');

  String get chatBox => translate('chatBox');

  String get pleaseUploadUserAvatar => translate('pleaseUploadUserAvatar');

  String get headdress => translate('headdress');

  String get searchInputHint => translate('searchInputHint');

  String get kickRoomTips => translate('kickRoomTips');

  String get joinRoomTips => translate('joinRoomTips');

  String get youAreCurrentlyCPRelationshipPleaseDissolve =>
      translate('youAreCurrentlyCPRelationshipPleaseDissolve');

  String get joinMemberTips => translate('joinMemberTips');

  String get systemRoomTips => translate('systemRoomTips');

  String get roomSetting => translate('roomSetting');

  String get roomDetails => translate('roomDetails');

  String get copiedToClipboard => translate('copiedToClipboard');

  String get recharge => translate('recharge');

  String get enter => translate('enter');

  String get roomMember => translate('roomMember');

  String get alreadyAnAdministrator => translate('alreadyAnAdministrator');

  String get alreadyAnMember => translate('alreadyAnMember');

  String get alreadyAnTourist => translate('alreadyAnTourist');

  String get operationSuccessful => translate('operationSuccessful');

  String get setUpAnIdentity => translate('setUpAnIdentity');

  String get kickedOutOfRoom => translate('kickedOutOfRoom');

  String get playGiftMusicAndDynamicMusic =>
      translate('playGiftMusicAndDynamicMusic');

  String get agentCenter => translate('agentCenter');

  String get becomeHost => translate('becomeHost');

  String get report => translate('report');

  String get goldListort => translate('goldListort');

  String get rechargeList => translate('rechargeList');

  String get edit => translate('edit');

  String get save => translate('save');

  String get guest => translate('guest');

  String get nickName => translate('nickName');

  String get gender => translate('gender');

  String get superFans => translate('superFans');

  String get dateOfBirth => translate('dateOfBirth');

  String get country => translate('country');

  String get activity => translate('activity');

  String get luck => translate('luck');

  String get cp => translate('cp');

  String get treasureChest => translate('treasureChest');

  String get countryRegion => translate('countryRegion');

  String get birthday => translate('birthday');

  String get man => translate('man');

  String get woman => translate('woman');

  String get mute => translate('mute');

  String get exit => translate('exit');

  String get owner => translate('owner');

  String get adminByHomeowner => translate('adminByHomeowner');

  String get memberByHomeowner => translate('memberByHomeowner');

  String get touristByHomeowner => translate('touristByHomeowner');

  String get allInTheRoom => translate('allInTheRoom');

  String get mInimize => translate('mInimize');

  String get hostCenter => translate('hostCenter');

  String get allOnMicrophone => translate('allOnMicrophone');

  String get pleaseEnterNickname => translate('pleaseEnterNickname');

  String get pleaseSelectYourCountry => translate('pleaseSelectYourCountry');

  String get pleaseSelectYourGender => translate('pleaseSelectYourGender');

  String get usersOnMicrophone => translate('usersOnMicrophone');

  String get send => translate('send');

  String get familyAnnouncement => translate('familyAnnouncement');

  String get enterFamilyAnnouncement => translate('enterFamilyAnnouncement');

  String get disbandTheFamily => translate('disbandTheFamily');

  String get editFamily => translate('editFamily');

  String get createFamilySuccess => translate('createFamilySuccess');

  String get sent => translate('sent');

  String get mine => translate('mine');

  String get party => translate('party');

  String get event => translate('event');

  String get vistors => translate('vistors');

  String get fans => translate('fans');

  String get lockTheRoom => translate('lockTheRoom');

  String get unLockTheRoom => translate('unLockTheRoom');

  String get all => translate('all');

  String get chat => translate('chat');

  String get gift => translate('gift');

  String get activityMedal => translate('activityMedal');

  String get achievementMedal => translate('achievementMedal');

  String get knapsack => translate('knapsack');

  String get cancelRequest => translate('cancelRequest');

  String get kickOutOfFamily => translate('kickOutOfFamily');

  String get kickFamilyUserTips => translate('kickFamilyUserTips');

  String get cancelFamilyAdmin => translate('cancelFamilyAdmin');

  String get setAsFamilyAdmin => translate('setAsFamilyAdmin');

  String get pleaseGetOnTheMicFirst => translate('pleaseGetOnTheMicFirst');

  String get special => translate('special');

  String get skip2 => translate('skip2');

  String get updateNow => translate('updateNow');

  String get clearMessage => translate('clearMessage');

  String get pleaseSelectaItem => translate('pleaseSelectaItem');

  String get areYouRureRoRecharge => translate('areYouRureRoRecharge');

  String get giftGivingSuccessful => translate('giftGivingSuccessful');

  String get theAccountPasswordCannotBeEmpty =>
      translate('theAccountPasswordCannotBeEmpty');

  String invitesYouToTheMicrophone(String name) =>
      translate('invitesYouToTheMicrophone').replaceAll('{1}', name);

  String enterRoomTips(String name) =>
      translate('enterRoomTips').replaceAll('{1}', name);

  String userLevelXPBoost(String name) =>
      translate('userLevelXPBoost').replaceAll('{1}', name);

  String dailyTaskRewardBonus(String name) =>
      translate('dailyTaskRewardBonus').replaceAll('{1}', name);

  String storeDiscount(String name) =>
      translate('storeDiscount').replaceAll('{1}', name);

  String confirmInviteThisUserToTheRoom(String name) =>
      translate('confirmInviteThisUserToTheRoom').replaceAll('{1}', name);

  String upToAdmins(String name) =>
      translate('upToAdmins').replaceAll('{1}', name);

  String upToMembers(String name) =>
      translate('upToMembers').replaceAll('{1}', name);

  String xxfamily(String name) => translate('xxfamily').replaceAll('{1}', name);

  String collectionTimeTips(String time,
      String remainCount,
      String totalCount,) =>
      translate('collectionTimeTips')
          .replaceAll('{1}', time)
          .replaceAll("{2}", remainCount)
          .replaceAll("{3}", totalCount);

  String yourVipWillExpire(String name) =>
      translate('yourVipWillExpire').replaceAll('{1}', name);

  String andAboveUsers(String name) =>
      translate('andAboveUsers').replaceAll('{1}', name);

  String privileges(String name) =>
      translate('privileges').replaceAll('{1}', name);

  String remainingNumberTips(String name1, String name2) =>
      translate(
        'remainingNumberTips',
      ).replaceAll('{1}', name1).replaceAll("{2}", name2);

  String coins2(String name) => translate('coins2').replaceAll('{1}', name);

  String credits(String name) => translate('credits').replaceAll('{1}', name);

  String currentStage(String name) =>
      translate('currentStage').replaceAll('{1}', name);

  String roomReward2(String name) =>
      translate('roomReward2').replaceAll('{1}', name);

  String ownerIncomeCoins(String name) =>
      translate('ownerIncomeCoins').replaceAll('{1}', name);

  String rewardCoins(String name) =>
      translate('rewardCoins').replaceAll('{1}', name);

  String deleteAccount2(String name) =>
      translate('deleteAccount2').replaceAll('{1}', name);

  String skip(String name) => translate('skip').replaceAll('{1}', name);

  String familyMember2(String name1, String name2) =>
      translate(
        'familyMember2',
      ).replaceAll('{1}', name1).replaceAll('{2}', name2);

  String familyMember3(String name1) =>
      translate('familyMember3').replaceAll('{1}', name1);

  String familyAdmin2(String name1, String name2) =>
      translate(
        'familyAdmin2',
      ).replaceAll('{1}', name1).replaceAll('{2}', name2);

  String follow2(String name) => translate('follow2').replaceAll('{1}', name);

  String fans2(String name) => translate('fans2').replaceAll('{1}', name);

  String vistors2(String name) => translate('vistors2').replaceAll('{1}', name);

  String duration2(String name) =>
      translate('duration2').replaceAll('{1}', name);

  String cancelRequestFamilyMsg(String name) =>
      translate('cancelRequestFamilyMsg').replaceAll('{1}', name);

  String appUpdateTip(String name) =>
      translate('appUpdateTip').replaceAll('{1}', name);

  String numberOfSign(String name) =>
      translate('numberOfSign').replaceAll('{1}', name);
}

class _SCAppLocalizationsDelegate
    extends LocalizationsDelegate<SCAppLocalizations> {
  const _SCAppLocalizationsDelegate();

  @override
  bool isSupported(Locale locale) =>
      ['en', 'zh', 'ar','bn','tr'].contains(locale.languageCode);

  @override
  Future<SCAppLocalizations> load(Locale locale) async {
    final localizations = SCAppLocalizations(locale);
    await localizations.load();
    return localizations;
  }

  @override
  bool shouldReload(covariant LocalizationsDelegate<SCAppLocalizations> old) =>
      false;
}
